@import '~@angular/material/theming';

html,
body,
app-root {
	width: 100%;
	height: 100%;
	margin: 0;
}

body {
	margin: 0;
	font-family: Roboto, 'Helvetica Neue', sans-serif;

	--space: 16px;

	@media (max-width: 719px) {
		--space: 8px;
	}

	@include mat-core();

	$app-primary: mat-palette($mat-green);
	$app-accent: mat-palette($mat-cyan, A200, A100, A400);

	$app-light: mat-light-theme(
		(
			color: (
				primary: $app-primary,
				accent: $app-accent,
			),
		)
	);
	$app-dark: mat-dark-theme(
		(
			color: (
				primary: $app-primary,
				accent: $app-accent,
			),
		)
	);

	.card {
		display: grid;
		grid-template-columns: 1fr;
		grid-template-rows: 1fr;
		column-gap: 8px;
		align-items: center;

		padding: 16px;
		border-radius: 4px;
		cursor: pointer;
		max-width: 600px;
		border: 1px solid lightgray;
		overflow: hidden;
		// white-space: pre-wrap;
		word-wrap: break-word;
		word-break: break-all;
		transition: box-shadow 200ms ease-in-out;

		&:hover {
			@include mat-elevation(5);
		}

		h2 {
			margin-bottom: 0;
		}
	}

	@include angular-material-theme($app-light);

	@media (prefers-color-scheme: dark) {
		&:not(.light-theme) {
			// @include angular-material-theme($app-dark);
		}
	}

	.dark-theme {
		// @include angular-material-theme($app-dark);
	}

	.fab {
		position: fixed !important;
		right: 20px;
		bottom: 20px;
	}
}
